import request from '@/utils/request'

// 查询漏点巡检记录 列表
export function listPointRecord(query) {
  return request({
    url: '/asset/pointRecord/list',
    method: 'get',
    params: query
  })
}

// 查询漏点巡检记录 详细
export function getPointRecord(id) {
  return request({
    url: '/asset/pointRecord/' + id,
    method: 'get'
  })
}

// 新增漏点巡检记录 
export function addPointRecord(data) {
  return request({
    url: '/asset/pointRecord',
    method: 'post',
    data: data
  })
}

// 修改漏点巡检记录 
export function updatePointRecord(data) {
  return request({
    url: '/asset/pointRecord',
    method: 'put',
    data: data
  })
}

// 删除漏点巡检记录 
export function delPointRecord(id) {
  return request({
    url: '/asset/pointRecord/' + id,
    method: 'delete'
  })
}
